Get Screenshot By ID
GET
https://api.peekshot.com/api/v1/screenshots/{requestId}Retrieve previously captured screenshots by ID with the PeekShot Get Screenshot API. This endpoint returns accessible URLs, metadata like dimensions and format, and download links for easy integration into apps, dashboards, or reporting tools.
Path Parameters
| Name | Type | Description |
|---|---|---|
requestId* | number | The unique ID of the screenshot request Example: |
Headers
| Name | Type | Description |
|---|---|---|
x-api-key* | string | Your unique API key for authentication |
curl --location 'https://api.peekshot.com/api/v1/screenshots/123' \
--header 'x-api-key: your-api-key'Responses
200Success Response
{
"status": "success",
"message": "screenshot request status fetched successfully",
"data": {
"id": 1,
"organizationId": 1,
"projectId": 1,
"status": "COMPLETE",
"url": "https://peekshot.com/",
"screenshotImageSize": 1012796,
"options": {
"delay": 0,
"fresh": true,
"width": 1680,
"height": 867,
"output": "json",
"retina": false,
"language": "en-GB,en-US;q=0.9,en;q=0.8",
"block_ads": false,
"dark_mode": false,
"file_type": "jpeg",
"full_page": false,
"disable_javascript": false,
"block_cookie_banner": false
},
"screenshotUrl": "https://peekshot.s3.ap-south-1.amazonaws.com/6/image.jpeg",
"creditsRequired": 1,
"duration": "9.864",
"isActive": true,
"createdAt": "2025-03-23T09:11:25.906Z",
"updatedAt": "2025-03-23T09:11:25.906Z",
"deletedAt": null,
"deletedByUserId": null
},
"statusCode": 200
}